package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[门户视图自定义布局]
 */
@Component("ionicdemo_PVLayoutModeCodeList")
public class PVLayoutModeCodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_PVLayoutMode");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("70P_30P");
		item0.setId("70P_30P");
		item0.setText("左右布局（70%;30%）");
		item0.setLabel("左右布局（70%;30%）");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("70P_30P",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("30P_70P");
		item1.setId("30P_70P");
		item1.setText("左右布局（30%;70%）");
		item1.setLabel("左右布局（30%;70%）");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("30P_70P",item1);
		CodeItem item2 = new CodeItem();
		item2.setValue("50P_50P");
		item2.setId("50P_50P");
		item2.setText("左右布局（50%;50%）");
		item2.setLabel("左右布局（50%;50%）");
		codeItemList.add(item2);
		codeList.getCodeItemModelMap().put("50P_50P",item2);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}